Bug 426066 - Kernel hang until keypress during boot
Kernel hang until keypress during boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-18 00:12 EST by Bruno Wolff III
Modified: 2009-07-14 11:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:40:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (21.38 KB, text/plain)
2007-12-18 00:22 EST, Bruno Wolff III
no flags Details
lspci (1.22 KB, text/plain)
2007-12-18 00:24 EST, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2007-12-18 00:12:49 EST
Description of problem:
Occasionally when rebooting the machine will hang part way through the boot
until I press a key.

Version-Release number of selected component (if applicable):
Though I have seen this happen on earlier kernels including some from Fedora 7.

How reproducible:
This happens very roughly about 20% of the time when booting on one machine.

Steps to Reproduce:
1. reboot
Actual results:
System hangs until a key is pressed after the line:
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
is displayed.
After hitting a key the next line displayed starts with "Clocksource".

Expected results:
No hang during the reboot.

Additional info:
This doesn't happen on another machine I run Fedora 8 on.
Comment 1 Bruno Wolff III 2007-12-18 00:22:28 EST
Created attachment 289852 [details]
Comment 2 Bruno Wolff III 2007-12-18 00:24:21 EST
Created attachment 289853 [details]
Comment 3 Chuck Ebbert 2007-12-18 16:07:04 EST
Should be fixed in or higher.
Comment 4 Bruno Wolff III 2007-12-19 09:53:43 EST
I'll keep an eye on it. I recently went to and thought I saw the
problem again yesterday. I noticed that I had another line about the serial
device that wasn't there when I wrote things down for the bug report.
If I confirm that it is still happening with this kernel I'll update the bug.
Because of another kernel bug, I end up rebooting that machine pretty often
(every couple of days) to recover from IO hangs.
Comment 5 Bruno Wolff III 2008-01-04 14:19:25 EST
It did reoccur today with kernel, so it looks like there is
still an issue.
Comment 6 Bruno Wolff III 2008-01-22 12:21:05 EST
I saw it again on
I am going to try to upgrade this machine to Rawhide. If that works I won't have
an easy way to test 2.6.23 kernels any more, but I'll report back if I see the
problem with 2.6.24 kernels or if it doesn't happen again for a long time.
Comment 7 Bruno Wolff III 2008-02-25 21:02:12 EST
I saw it again on 2.6.25-0.65.rc2.git7.fc9.
Comment 8 Bruno Wolff III 2008-04-06 00:55:19 EDT
I haven't seen this is a while now. Since it wasn't happening very often before,
I don't want to declare it fixed, just give you an update of what I haven't been
Comment 9 Bruno Wolff III 2008-07-15 23:12:55 EDT
I had this (a hang until keypress) with
Comment 10 Bruno Wolff III 2008-08-13 11:02:18 EDT
I had this happen twice in a row with In the first case where it was over 12 hours before I had physical access to the machine, hitting keys did not continue the boot. On the next try, where it also hung, hitting a key did continue the boot process.
Comment 11 Bruno Wolff III 2008-08-16 08:43:06 EDT
I have retired the machine that was doing this (at work) and no longer have access to the hardware to do further testing.
Comment 12 Bug Zapper 2009-06-09 19:18:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Bug Zapper 2009-07-14 11:40:38 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.